Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class CharBooleanType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Boolean>
              org.hibernate.type.BooleanType
                  org.hibernate.type.CharBooleanType

All Implemented Interfaces:
  Serializable, BasicType, DiscriminatorType<Boolean>, IdentifierType<Boolean>, LiteralType<Boolean>, PrimitiveType<Boolean>, SingleColumnType<Boolean>, StringRepresentableType<Boolean>, Type, XmlRepresentableType<Boolean>

Deprecated. Use the `AbstractStandardBasicType` approach instead

    public abstract class CharBooleanType

extends BooleanType

Superclass for types that map Java boolean to SQL CHAR(1).

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.BooleanType
`INSTANCE`

Constructor Summary
`protected` | `CharBooleanType(char characterValueTrue, char characterValueFalse)` Deprecated.

Method Summary
`protected String` | `getFalseString()` Deprecated. Pass the true/false values into constructor instead.
`protected String` | `getTrueString()` Deprecated. Pass the true/false values into constructor instead.

Methods inherited from class org.hibernate.type.BooleanType
`getDefaultValue, getName, getPrimitiveClass, getRegistrationKeys, objectToSQLString, stringToObject`

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`get, nullSafeGet, nullSafeSet, nullSafeSet, set, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.PrimitiveType
`toString`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Constructor Detail

### CharBooleanType

    protected CharBooleanType(char characterValueTrue,
                              char characterValueFalse)

  Deprecated.

Method Detail

### getTrueString

    protected final String getTrueString()

  Deprecated. Pass the true/false values into constructor instead.

### getFalseString

    protected final String getFalseString()

  Deprecated. Pass the true/false values into constructor instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.